Bug 230421 - security/s2n: remove ONLY_FOR_ARCHS
Summary: security/s2n: remove ONLY_FOR_ARCHS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo Egea Gondolfo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-06 23:52 UTC by Greg V
Modified: 2018-08-08 14:33 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (danilo)


Attachments
s2n.patch (333 bytes, patch)
2018-08-06 23:52 UTC, Greg V
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2018-08-06 23:52:27 UTC
Created attachment 195956 [details]
s2n.patch

The inline asm issue has been resolved a long time ago, s2n is portable now.

Tested: s2nd example works on aarch64 & armv7
Comment 1 Danilo Egea Gondolfo freebsd_committer 2018-08-07 00:21:52 UTC
Thanks, I'm testing the latest commit here.
Comment 2 commit-hook freebsd_committer 2018-08-08 14:24:47 UTC
A commit references this bug:

Author: danilo
Date: Wed Aug  8 14:23:54 UTC 2018
New revision: 476644
URL: https://svnweb.freebsd.org/changeset/ports/476644

Log:
  - Update to 20180802
  - Use cmake
  - Remove ONLY_FOR_ARCHS (reported by greg@unrelenting.technology) [1]
  - Add TEST option and patch to disable tests
  - Fix build on i386

  PR:		230421 [1]

Changes:
  head/security/s2n/Makefile
  head/security/s2n/distinfo
  head/security/s2n/files/Makefile.in
  head/security/s2n/files/patch-CMakeLists.txt
  head/security/s2n/files/patch-cmake_modules_FindLibCrypto.cmake
  head/security/s2n/files/patch-utils_s2n__random.c
  head/security/s2n/pkg-plist
Comment 3 Danilo Egea Gondolfo freebsd_committer 2018-08-08 14:33:54 UTC
Committed, thanks!